<?php

/**
 * Configure the presets
 * Define presets for each class
 * You can chain image actions: flip,crop,resize,rotate,sharpen
 * @see extension image
 *
 * @version $Id$
 * @copyright 2011
 */


return array(

 /**
 * Image presets for the class Page
 */
'Page' => array(
	'thumbnail' => array(
	   'actions' => array(
	               'resize' => array(
	                   'width' => 120,
	               	   'height' => 120,
	               ),
	               //define more chained actions here
	               //@see extension image
	   ), //end actions
	 ), //end thumbnail

	'small' => array(
	   'actions' => array(
	               'resize' => array(
	                   'width' => 180,
	               	   'height' => 140,
	               ),
	               //define more chained actions here
	               //@see extension image
	   ), //end actions
	 ), //end small
),


/**
 * Image presets for the class Content
 */

'Content' => array(
	'thumbnail' => array(
	   'actions' => array(
	               'resize' => array(
	                   'width' => 95,
	               	   'height' => 1000,
	               ),
					'crop' => array(
						'width' => 95,
						'height' => 60,
					),
	               //define more chained actions here
	               //@see extension image
	   ), //end actions
	 ), //end thumbnail

	'medium' => array(
	   'actions' => array(
	               'resize' => array(
	                   'width' => 285,
	               	   'height' => 1000,
	               ),
				   	'crop' => array(
				   		'width' => 285,
				   		'height' => 180,
				   	),
	               //define more chained actions here
	               //@see extension image
	   ), //end actions
	 ), //end small
),


/**
 * Image presets for the class User
 */
'User' => array(
	'thumbnail' => array(
	   'actions' => array(
	               'resize' => array(
	                   'width' => 36,
	               	   'height' => 1000,
	               ),
			   	'crop' => array(
			   		'width' => 36,
			   		'height' => 50,
			   	),
	               //define more chained actions here
	   ), //end actions
	 ), //end thumbnail

	'small' => array(
	   'actions' => array(
	               'resize' => array(
	                   'width' => 105,
	               	   'height' => 1000,
	               ),
				   	'crop' => array(
				   		'width' => 105,
				   		'height' => 150,
				   	),
	               //define more chained actions here
	   ), //end actions
	 ), //end small
),
);

